API Documentation Download OpenAPI specification

List Email Alias

GEThttps://bll.titan.email/partner/listEmailAlias

API to fetch information about an email account's alias on Titan Mail Cloud infra.

Query parameters

titanOrderIdnumberrequired

The unique order ID against each domain provisioned with Titan

Example: 1
emailstringrequired

Specify the email account for which the email alias needs to be fetched.

Example: sales@xyz.com

Responses

200OKapplication/json
reqIDstringrequired
Example: server.req.id
emailstring

Email account to which aliases belong to.

Example: sales@xyz.com
aliasesobject[]
Show propertiesHide properties
emailstring

email id of alias.

Example: carsales@xyz.com
displayNamestring

display name to be shown while using this alias.

Example: Car Sale
See General Errors for other errors that this API can return.
GET/partner/listEmailAlias
curl 'https://bll.titan.email/partner/listEmailAlias?titanOrderId=1&email=sales@xyz.com' \
  --header 'Authorization: API.Key'
Response
{
  "reqID": "server.req.id",
  "email": "sales@xyz.com",
  "aliases": [
    {
      "email": "carsales@xyz.com",
      "displayName": "Car Sale"
    }
  ]
}